package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.orm.table.core.previousblob.TCorePreviousBlobTask;
import com.chenyang.nse.bussiness.entity.vo.ResultVO;
import com.chenyang.nse.bussiness.entity.vo.previousblobtask.TCorePreviousBlobTaskVO;
import java.util.List;

public interface PreviousBlobTaskService {
   List<TCorePreviousBlobTask> querytask(String taskname, PageInfo pageInfo);

   List<TCorePreviousBlobTask> isexist(String taskname);

   ResultVO savePreviousBlobTask(TCorePreviousBlobTask tCorePreviousBlobTask);

   void removetask(String taskid);

   void executetask(String taskid);

   TCorePreviousBlobTaskVO queryBlobMaskingTaskVOByID(String taskid);
}
